# AndersenThermostat Class Reference

This class uses the Andersen method to maintain constant temperature. More...

Inheritance diagram for AndersenThermostat:

List of all members.

## Public Member Functions
def | Temperature
| Temperature() -> std.string const &.
def | CollisionFrequency
| CollisionFrequency() -> std.string const &.
def | getDefaultTemperature
| getDefaultTemperature(AndersenThermostat self) -> double
def | setDefaultTemperature
| setDefaultTemperature(AndersenThermostat self, double temperature)
def | getDefaultCollisionFrequency
| getDefaultCollisionFrequency(AndersenThermostat self) -> double
def | setDefaultCollisionFrequency
| setDefaultCollisionFrequency(AndersenThermostat self, double frequency)
def | getRandomNumberSeed
| getRandomNumberSeed(AndersenThermostat self) -> int
def | setRandomNumberSeed
| setRandomNumberSeed(AndersenThermostat self, int seed)
def | __init__
| __init__(OpenMM.AndersenThermostat self, double defaultTemperature, double defaultCollisionFrequency) -> AndersenThermostat __init__(OpenMM.AndersenThermostat self, AndersenThermostat other) -> AndersenThermostat
def | __del__
| __del__(OpenMM.AndersenThermostat self)
## Public Attributes
| this

## Detailed Description

This class uses the Andersen method to maintain constant temperature.

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(OpenMM.AndersenThermostat self)

Reimplemented from Force.

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(OpenMM.AndersenThermostat self, double defaultTemperature, double defaultCollisionFrequency) -> AndersenThermostat __init__(OpenMM.AndersenThermostat self, AndersenThermostat other) -> AndersenThermostat

Create an AndersenThermostat.

Parameters:

  | defaultTemperature | the default temperature of the heat bath (in Kelvin)
  | defaultCollisionFrequency | the default collision frequency (in 1/ps)

def CollisionFrequency | ( |  | ) |

CollisionFrequency() -> std.string const &.

This is the name of the parameter which store the current collision frequency (in 1/ps).

def getDefaultCollisionFrequency | ( |  | self | ) |

getDefaultCollisionFrequency(AndersenThermostat self) -> double

Get the default collision frequency (in 1/ps).

def getDefaultTemperature | ( |  | self | ) |

getDefaultTemperature(AndersenThermostat self) -> double

Get the default temperature of the heat bath (in Kelvin).

def getRandomNumberSeed | ( |  | self | ) |

getRandomNumberSeed(AndersenThermostat self) -> int

Get the random number seed. See setRandomNumberSeed() for details.

def setDefaultCollisionFrequency | ( |  | self,
|  |  | args |
| ) |  |  |

setDefaultCollisionFrequency(AndersenThermostat self, double frequency)

Set the default collision frequency. This will affect any new Contexts you create, but not ones that already exist.

Parameters:

  | frequency | the default collision frequency (in 1/ps)

def setDefaultTemperature | ( |  | self,
|  |  | args |
| ) |  |  |

setDefaultTemperature(AndersenThermostat self, double temperature)

Set the default temperature of the heat bath. This will affect any new Contexts you create, but not ones that already exist.

Parameters:

  | temperature | the default temperature of the heat bath (in Kelvin)

def setRandomNumberSeed | ( |  | self,
|  |  | args |
| ) |  |  |

setRandomNumberSeed(AndersenThermostat self, int seed)

Set the random number seed. The precise meaning of this parameter is undefined, and is left up to each Platform to interpret in an appropriate way. It is guaranteed that if two simulations are run with different random number seeds, the sequence of collisions will be different. On the other hand, no guarantees are made about the behavior of simulations that use the same seed. In particular, Platforms are permitted to use non-deterministic algorithms which produce different results on successive runs, even if those runs were initialized identically.

def Temperature | ( |  | ) |

Temperature() -> std.string const &.

This is the name of the parameter which stores the current temperature of the heat bath (in Kelvin).

## Member Data Documentation

this

The documentation for this class was generated from the following file:

- openmm.py